import pygame
import sys
import random
import serial
import serial.tools.list_ports

WIDTH = 640
HEIGHT = 480

WINDOW_SIZE = (WIDTH, HEIGHT)
TITLE = "Color"
BAUD_RATE = 9600

COLORS = {
    "BLUE" : (0, 0, 255),
    "GREEN" : (0, 255, 0),
    "RED" : (255, 0, 0),
    "YELLOW" : (255, 255, 0),
    "PINK" : (255, 16, 240),
    "PURPLE" : (160, 32, 240),
    "UNKNOWN" : (255, 255, 255)
    } 

pygame.init()
pygame.font.init()
my_font = pygame.font.SysFont('Calibri', 30)

screen = pygame.display.set_mode(WINDOW_SIZE)
pygame.display.set_caption(TITLE)
clock = pygame.time.Clock()

ports = list(serial.tools.list_ports.comports())
port = ""
for p in ports:
    if "Arduino" in p.description:
        port = p[0]
        break
    
ser = serial.Serial(port=port, baudrate=BAUD_RATE)

while True:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
            pygame.quit()
            sys.exit()
    
    value = ser.readline().decode().rstrip()
    screen.fill(COLORS[value])

    text_surface = my_font.render(str(COLORS[value]), False, (0, 0, 0))

    screen.blit(text_surface, (WIDTH / 2 - 100 ,HEIGHT / 2 - 10))

    pygame.display.update()
    clock.tick()
